/*------------------------------------*\
    #COMPONENTS.TABS
\*------------------------------------*/
/**
 * Tabs component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';
@import '../../../Public/Vendor/foundation/scss/foundation/components/tabs';

// Subelements are nested so we can trump Foundation's styles

.#{$inuit-namespace}tabs,
%#{$inuit-namespace}tabs {
    .#{$inuit-namespace}tabs__item,
    %#{$inuit-namespace}tabs__item {
        .#{$inuit-namespace}tabs__link,
        %#{$inuit-namespace}tabs__link {
            color: $drk-color-blue;
            outline: none;
            padding: drk-halve($drk-base-unit-small) $drk-base-unit-small;

            @include drk-hover {
                background: $drk-color-white;
                text-decoration: underline;
            }

            @media #{$large-up} {
                padding: drk-halve($drk-base-unit) $drk-base-unit;
            }
        }

        &.is-active {
            .#{$inuit-namespace}tabs__link,
            %#{$inuit-namespace}tabs__link {
                background-color: $drk-color-light-blue;
            }
        }

        @media #{$small-only} {
            float: none;
        }
    }
}

.#{$inuit-namespace}tabs__nav,
%#{$inuit-namespace}tabs__nav {
    @include grid-column(
    $columns: 24,
    $collapse: true
    );

    border: 1px solid $drk-color-light-grey;
    border-width: 1px 0;
    //margin-top: $drk-grid-unit;
    margin-top: 0;
}

.#{$inuit-namespace}tabs__content,
%#{$inuit-namespace}tabs__content {
    clear: left;
    margin-bottom: 0;
    position: relative;

    .#{$inuit-namespace}tabs__content-block {
        padding-top: $drk-base-unit-small;
        padding-bottom: 0;
    }
}

.#{$inuit-namespace}tabs__content-block,
%#{$inuit-namespace}tabs__content-block {
    &.is-active {
        display: block;
        float: none;
    }
}
